<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
 */

$api->version('v1', function($api) {

    //获取token
    $api->group(['namespace'=>'App\Http\Controllers\V1\Auth','middleware' => ['throttle:60,1']], function($api) {
        $api->post('/openapi/auth/getToken', ['uses'=>'CustomerAuthController@getToken']);
    });

    $api->group(['namespace'=>'App\Http\Controllers\V1\Rhawn','middleware' => ['throttle:60,1','apiAuth'], 'providers' => 'jwt'], function($api) {
        // 获取订单列表
        $api->post('/openapi/orders/getRhawnOrders', ['permission' => 'orders.getCustomerOrders', 'uses'=>'OrdersController@getCustomerOrders']);
        // 获取订单详情
        $api->post('/openapi/orders/getRhawnOrderDetail', ['permission' => 'orders.getCustomerOrders', 'uses'=>'OrdersController@getCustomerOrderDetail']);
        // 新建订单
        $api->post('/openapi/orders/createRhawnOrders', ['permission' => 'orders.createRhawnOrders', 'uses'=>'OrdersController@createCustomerNewOrder']);
        // 取消订单
        $api->post('/openapi/orders/cancelRhawnOrders', ['permission' => 'orders.cancelRhawnOrders', 'uses'=>'OrdersController@cancelCustomerOrder']);
        $api->post('/openapi/orders/getOrdersDispatch', ['permission' => 'orders.getOrdersDispatch', 'uses'=>'OrdersController@getOrdersDispatch']);
    });

    $api->group(['namespace'=>'App\Http\Controllers\V1\Rhawn','middleware' => ['throttle:60,1','apiAuth'], 'providers' => 'jwt'], function($api) {
        $api->post('/openapi/products/getAllProducts', ['permission' => 'orders.getProductList', 'uses'=>'ProductsController@getAllProductsList']);
        $api->post('/openapi/products/getProductDetail', ['permission' => 'orders.getProductDetail', 'uses'=>'ProductsController@getProductDetail']);
        $api->post('/openapi/products/getProductByCas', ['permission' => 'orders.getProductByCas', 'uses'=>'ProductsController@getProductByCas']);
    });

});

